echo_can_state_s Struct Reference

`#include <echo.h>`

## Public Attributes

int | tx_power [4]
int | rx_power [3]
int | clean_rx_power
int | rx_power_threshold
int | nonupdate_dwell
int | curr_pos
int | taps
int | tap_mask
int | adaption_mode
int32_t | supp_test1
int32_t | supp_test2
int32_t | supp1
int32_t | supp2
int | vad
int | cng
int16_t | geigel_max
int | geigel_lag
int | dtd_onset
int | tap_set
int | tap_rotate_counter
int32_t | latest_correction
int32_t | last_acf [28]
int | narrowband_count
int | narrowband_score
fir16_state_t | fir_state
int16_t * | fir_taps16 [4]
int32_t * | fir_taps32
int32_t | tx_hpf [2]
int32_t | rx_hpf [2]
int | cng_level
int | cng_rndnum
int | cng_filter
int16_t * | snapshot

## Detailed Description

G.168 echo canceller descriptor. This defines the working state for a line echo canceller.

## Member Data Documentation

## fir_taps16

int16_t* echo_can_state_s::fir_taps16[4]

Echo FIR taps (16 bit version)

Referenced by echo_can_flush(), echo_can_free(), echo_can_init(), and echo_can_update().

## fir_taps32

int32_t* echo_can_state_s::fir_taps32

Echo FIR taps (32 bit version)

Referenced by echo_can_flush(), echo_can_free(), echo_can_init(), and echo_can_update().

The documentation for this struct was generated from the following file:

- private/echo.h